<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: OpticalCouplingConstructor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>OpticalCouplingConstructor Class Reference</h1><!-- doxytag: class="OpticalCouplingConstructor" -->
<p>a class making it easier and more flexible to create <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a> objects. <b> Additionally, it automatically deals with the registration of the needed physics! </b>  
</p>

<p><a href="classOpticalCouplingConstructor-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpticalCouplingConstructor.html#a224ec92d68f60b2deffcad6f6bb0d505">OpticalCouplingConstructor</a> (G4VModularPhysicsList *userPhysicsList, <a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *propertyTools, G4bool searchOverlaps, int verbose=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpticalCouplingConstructor.html#a338d0da69f17de4e1d1ba5b16d46a1c5">~OpticalCouplingConstructor</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpticalCouplingConstructor.html#a08f1e2c41c5a770a0a388f9e4c6e06fc">CoupleVolumes</a> (G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume, G4String coupling_name, G4ThreeVector sensitive_surface_normal_relative_to_base, G4ThreeVector sensitive_centre_position_relative_to_base)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpticalCouplingConstructor.html#ac31e5fefa61ba9ae0d40655838f8816e">CoupleVolumes</a> (G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume, G4String coupling_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpticalCouplingConstructor.html#a6bdf0f88427afd5e58060337f7844a19">CoupleVolumes</a> (G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpticalCouplingConstructor.html#a105be2ddd0dd2bad2e99ca834f7798b0">SetCouplingCentrePositionRelativeToBaseVolume</a> (G4ThreeVector centre_position_relative_to_base)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpticalCouplingConstructor.html#a5c6a10a8a2d134051e57934bb9abbb4a">SetCouplingName</a> (G4String coupling_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpticalCouplingConstructor.html#a4dbc7d170c8bcbd86b732d1fb451d957">SetCouplingSurfaceNormalRelativeToBaseVolume</a> (G4ThreeVector surface_normal_relative_to_base)</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpticalCouplingConstructor.html#a541406feea8a23cc9515baf21b04b88f">applyVolumeCounter</a> (G4String &amp;physical_volume_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpticalCouplingConstructor.html#a2ff5784805750726343e166791ea978a">SetDefaults</a> ()</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a224ec92d68f60b2deffcad6f6bb0d505"></a><!-- doxytag: member="OpticalCouplingConstructor::OpticalCouplingConstructor" ref="a224ec92d68f60b2deffcad6f6bb0d505" args="(G4VModularPhysicsList *userPhysicsList, PropertyToolsManager *propertyTools, G4bool searchOverlaps, int verbose=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpticalCouplingConstructor::OpticalCouplingConstructor </td>
          <td>(</td>
          <td class="paramtype">G4VModularPhysicsList *&nbsp;</td>
          <td class="paramname"> <em>userPhysicsList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *&nbsp;</td>
          <td class="paramname"> <em>propertyTools</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>searchOverlaps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>verbose</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values</li>
<li>adds the needed physics processes (specified in <a class="el" href="classOpticalCouplingPhysicsList.html" title="a class for the automatic registration of the physics needed for the G4OpticalCouplings...">OpticalCouplingPhysicsList</a>) to the physics list </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>userPhysicsList</em>&nbsp;</td><td>physics list which is used for the simulation </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>propertyTools</em>&nbsp;</td><td>pointer to the <a class="el" href="classPropertyToolsManager.html" title="a class making the processing of the properties etc. much easier.">PropertyToolsManager</a> that should be used </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>searchOverlaps</em>&nbsp;</td><td>Geant should search for overlaps when placing the physical volumes of <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>verbose</em>&nbsp;</td><td>verbosity level for adding the needed physics processes (specified in <a class="el" href="classPhotonDetectorPhysicsList.html" title="a class for the automatic registration of the physics needed for the G4PhotonDetectors...">PhotonDetectorPhysicsList</a>) to the physics list (default: 0) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a338d0da69f17de4e1d1ba5b16d46a1c5"></a><!-- doxytag: member="OpticalCouplingConstructor::~OpticalCouplingConstructor" ref="a338d0da69f17de4e1d1ba5b16d46a1c5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OpticalCouplingConstructor::~OpticalCouplingConstructor </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a541406feea8a23cc9515baf21b04b88f"></a><!-- doxytag: member="OpticalCouplingConstructor::applyVolumeCounter" ref="a541406feea8a23cc9515baf21b04b88f" args="(G4String &amp;physical_volume_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OpticalCouplingConstructor::applyVolumeCounter </td>
          <td>(</td>
          <td class="paramtype">G4String &amp;&nbsp;</td>
          <td class="paramname"> <em>physical_volume_name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function for avoiding multiple volumes with the same name:</p>
<ul>
<li>a string variable containing the name prefix has to be passed to this function</li>
<li>the name prefix will be extended to distinguish between different <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>s and different volumes of one <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a></li>
<li>the extended name prefix will be passed to the original string variable </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>physical_volume_name</em>&nbsp;</td><td>name which should be used for naming the volumes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a08f1e2c41c5a770a0a388f9e4c6e06fc"></a><!-- doxytag: member="OpticalCouplingConstructor::CoupleVolumes" ref="a08f1e2c41c5a770a0a388f9e4c6e06fc" args="(G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume, G4String coupling_name, G4ThreeVector sensitive_surface_normal_relative_to_base, G4ThreeVector sensitive_centre_position_relative_to_base)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a> * OpticalCouplingConstructor::CoupleVolumes </td>
          <td>(</td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>base_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>volume_optically_coupled_to_base_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>coupling_edgeLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>coupling_width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>coupling_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>surface_normal_relative_to_base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>centre_position_relative_to_base</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct an optical coupling between two volumes:</p>
<ul>
<li>runs <a class="el" href="classOpticalCouplingConstructor.html#a541406feea8a23cc9515baf21b04b88f">applyVolumeCounter()</a> on <em>coupling_name</em> </li>
<li>creates a new <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a> object</li>
<li>resets the class variables to default values (using <a class="el" href="classOpticalCouplingConstructor.html#a2ff5784805750726343e166791ea978a">SetDefaults()</a>)</li>
</ul>
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the created <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a> object </dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>base_volume</em>&nbsp;</td><td><a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s base volume (volume that something should be coupled to, e.g. a scintillator tile) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>volume_optically_coupled_to_base_volume</em>&nbsp;</td><td>volume that should be coupled to the <em>base_volume</em> (e.g. an SiPM) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>coupling_edgeLength</em>&nbsp;</td><td><a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s edge length </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>coupling_width</em>&nbsp;</td><td><a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s width </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mother_volume</em>&nbsp;</td><td><a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s mother volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>coupling_name</em>&nbsp;</td><td>name of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s volume (it will be extended to distinguish between different <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>s and different volumes of one <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surface_normal_relative_to_base</em>&nbsp;</td><td>surface normal of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s front relative to the <em>base_volume</em> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>centre_position_relative_to_base</em>&nbsp;</td><td><a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s centre position relative to the <em>base_volume</em> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac31e5fefa61ba9ae0d40655838f8816e"></a><!-- doxytag: member="OpticalCouplingConstructor::CoupleVolumes" ref="ac31e5fefa61ba9ae0d40655838f8816e" args="(G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume, G4String coupling_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a>* OpticalCouplingConstructor::CoupleVolumes </td>
          <td>(</td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>base_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>volume_optically_coupled_to_base_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>coupling_edgeLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>coupling_width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>coupling_name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classOpticalCouplingConstructor.html#a2ff5784805750726343e166791ea978a">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a6bdf0f88427afd5e58060337f7844a19"></a><!-- doxytag: member="OpticalCouplingConstructor::CoupleVolumes" ref="a6bdf0f88427afd5e58060337f7844a19" args="(G4VPhysicalVolume *base_volume, G4VPhysicalVolume *volume_optically_coupled_to_base_volume, G4double coupling_edgeLength, G4double coupling_width, G4VPhysicalVolume *mother_volume)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4OpticalCoupling.html">G4OpticalCoupling</a>* OpticalCouplingConstructor::CoupleVolumes </td>
          <td>(</td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>base_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>volume_optically_coupled_to_base_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>coupling_edgeLength</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>coupling_width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classOpticalCouplingConstructor.html#a2ff5784805750726343e166791ea978a">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a105be2ddd0dd2bad2e99ca834f7798b0"></a><!-- doxytag: member="OpticalCouplingConstructor::SetCouplingCentrePositionRelativeToBaseVolume" ref="a105be2ddd0dd2bad2e99ca834f7798b0" args="(G4ThreeVector centre_position_relative_to_base)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OpticalCouplingConstructor::SetCouplingCentrePositionRelativeToBaseVolume </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>centre_position_relative_to_base</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s centre position (relative to the base volume).</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="a5c6a10a8a2d134051e57934bb9abbb4a"></a><!-- doxytag: member="OpticalCouplingConstructor::SetCouplingName" ref="a5c6a10a8a2d134051e57934bb9abbb4a" args="(G4String coupling_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OpticalCouplingConstructor::SetCouplingName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>coupling_name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the name of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s volumes (it will be extended to distinguish between different <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>s and different volumes of one <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>).</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="a4dbc7d170c8bcbd86b732d1fb451d957"></a><!-- doxytag: member="OpticalCouplingConstructor::SetCouplingSurfaceNormalRelativeToBaseVolume" ref="a4dbc7d170c8bcbd86b732d1fb451d957" args="(G4ThreeVector surface_normal_relative_to_base)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OpticalCouplingConstructor::SetCouplingSurfaceNormalRelativeToBaseVolume </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>surface_normal_relative_to_base</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the surface normal of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s front (relative to the base volume).</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="a2ff5784805750726343e166791ea978a"></a><!-- doxytag: member="OpticalCouplingConstructor::SetDefaults" ref="a2ff5784805750726343e166791ea978a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OpticalCouplingConstructor::SetDefaults </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the class variables to default values: </p>

<p><ul>
<li>name of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s volumes (it will be extended to distinguish between different <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>s and different volumes of one <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>) <div class="fragment"><pre class="fragment"> CouplingName = <span class="stringliteral">&quot;opticalCoupling&quot;</span>; 
</pre></div></li>
</ul>
<ul>
<li>surface normal of the <a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s front (relative to the base volume) <div class="fragment"><pre class="fragment"> SurfaceNormal_rel = G4ThreeVector(0., 0., 1.); 
</pre></div></li>
</ul>
<ul>
<li><a class="el" href="classG4OpticalCoupling.html" title="a class generating the materials, volumes, and optical properties needed for an optical...">G4OpticalCoupling</a>'s centre position (relative to the base volume) <div class="fragment"><pre class="fragment"> CentrePos_rel = G4ThreeVector(0., 0., 0.); 
</pre></div> </li>
</ul>
</p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
